// java kutuphanelerinde tanimli bir sinifin cagirilip
// nesne olarak tan¨mlanmasi ve adres paylasimi
import java.io.*;      //java girdi cikti sinifini cagir
import java.awt.Point; //Point sinifini cagir 
class Point1
 {
      public static void main(String args[])
      {
      //Point sinifi x,y koordinatli bir nokta tanimlar
      Point nokta1,nokta2;
      nokta1=new Point(100,100);
      nokta2=nokta1;
      // nokta1 ve nokta2 bilgisayarda ayni
      // adres kutusunu paylasiyor
      System.out.println("nokta1 ve nokta2 ayni degerleri tasiyor");
      System.out.println("ve ayn¨ bilgisayar adresini paylasiyor");
      System.out.println("nokta 1 : "+nokta1.x+" , "+nokta1.y);
      System.out.println("nokta 2 : "+nokta2.x+" , "+nokta2.y);
      nokta1.x=200;
      nokta1.y=200;
      System.out.println("nokta1 in degeri degistirildi");
      System.out.println("nokta 1 : "+nokta1.x+" , "+nokta1.y);
      System.out.println("nokta 2 : "+nokta2.x+" , "+nokta2.y);
      // nokta1 ve nokta2 nin degerleri ayni fakat bilgisayarda
      // degisik adreslerde tanimlanmis
      nokta1=new Point(100,100);
      nokta2=new Point(100,100);
      System.out.println("nokta1 ve nokta2 ayni degerleri tasiyor");
      System.out.println("fakat ayn¨ bilgisayar adresini paylasmiyor");
      System.out.println("nokta 1 : "+nokta1.x+" , "+nokta1.y);
      System.out.println("nokta 2 : "+nokta2.x+" , "+nokta2.y);
      nokta1.x=200;
      nokta1.y=200;
      System.out.println("nokta1 in degeri degistirildi");
      System.out.println("nokta 1 : "+nokta1.x+" , "+nokta1.y);
      System.out.println("nokta 2 : "+nokta2.x+" , "+nokta2.y);
      }
 }
